# class Chef::ChefFS::FileSystem::CookbooksAclDir

### Public Instance Methods

children() click to toggle source

If versioned_cookbooks is on, the list of cookbooks will have versions in them. But all versions of a cookbook have the same acl, so even if we have cookbooks/apache2-1.0.0 and cookbooks/apache2-1.1.2, we will only have one acl: acls/cookbooks/apache2.json. Thus, the list of children of acls/cookbooks is a unique list of cookbook names.

    # File lib/chef/chef_fs/file_system/cookbooks_acl_dir.rb, line 31
    def children
      if @children.nil?
        names = parent.parent.child(name).children.map { |child| "#{child.cookbook_name}.json" }
        @children = names.uniq.map { |name| AclEntry.new(name, self, true) }
      end
      @children
    end